AIX

 View Only
Expand all | Collapse all

aix 7.3 dnf script

  • 1.  aix 7.3 dnf script

    Posted Thu December 30, 2021 07:35 AM
    Hello

    Aix 7.2 TL5 SP3 with yum installed. After migration to aix 7.3 was started script dnf_aixtoolbox.sh -y option from link actual last version.

    https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/ezinstall/ppc/dnf_aixtoolbox.sh

    result
    -------

    dnf check
    libgcc-1:8-1.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgcc8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgomp-1:8-1.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgomp8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    libstdc++-1:8-1.ppc has missing requires of AIX-rpm < 7.3.0.0
    libstdc++8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    Error: Check discovered 6 problem(s)

    dnf remove --duplicates
    Last metadata expiration check: 0:29:31 ago on Thu Dec 30 12:43:57 CET 2021.
    Error: No duplicated packages found for removal.

    oslevel -s
    7300-00-01-2148

    lslpp -l | grep rpm
    rpm.rte 4.15.1.2004 COMMITTED RPM Package Manager
    rpm.rte 4.15.1.2004 COMMITTED RPM Package Manager

    rpm -qa | grep rpm
    AIX-rpm-7.3.0.0-10.ppc
    rpm-python3-4.15.1-64_2.ppc

    rpm -qa | grep dnf
    libdnf-0.39.1-64_2.ppc
    dnf-data-4.2.17-64_2.noarch
    dnf-4.2.17-64_2.noarch
    python3-libdnf-0.39.1-64_2.ppc
    python3-dnf-4.2.17-64_2.noarch
    dnf-automatic-4.2.17-64_2.noarch

    I tried to install ansible with dnf a it works.

    Installed:
    ansible-2.6.2-1.ppc gmp-6.1.2-1.ppc libyaml-0.2.2-1.ppc
    python-PyYAML-3.11-1.ppc python-markupsafe-1.0-1.ppc python-paramiko-1.7.6-1.ppc
    python-pycrypto-2.6.1-1.ppc sshpass-1.09-1.ppc python-babel-0.9.6-1.noarch
    python-httplib2-0.9.2-1.noarch python-jinja2-2.10.1-1.noarch python-keyczar-0.716-1.noarch
    python-pyasn1-0.2.3-1.noarch python-setuptools-0.9.8-2.noarch python-six-1.10.0-1.noarch

    Complete!

    the rest after migration

    dnf check
    libgcc-1:8-1.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgcc8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgomp-1:8-1.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgomp8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    libstdc++-1:8-1.ppc has missing requires of AIX-rpm < 7.3.0.0
    libstdc++8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    Error: Check discovered 6 problem(s)





    ------------------------------
    Juraj Petráš
    ------------------------------


  • 2.  RE: aix 7.3 dnf script

    Posted Thu December 30, 2021 01:45 PM
    I have the same issue after migrating several systems to AIX 7.3.  IBM support posted the info to the community several days ago but so far noone has posted any replies.  Hopefully this will be an easy fix but so far no luck.  DNF itself appears to be working but I prefer having a clean system with no dnf check errors

    Jaqui

    ------------------------------
    Jaqui Lynch
    ------------------------------



  • 3.  RE: aix 7.3 dnf script

    Posted Fri December 31, 2021 06:42 AM
    Hi,

    Noticed the same ..on my case only 3 packages complaining though 

    root@tommiaix72:/home/sihvotom # dnf check
    libgcc8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    libgomp8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0
    libstdc++8-8.3.0-6.ppc has missing requires of AIX-rpm < 7.3.0.0

    Also noticed that lppchk was complaining on some packages:

    root@tommiaix72:/home/sihvotom # lppchk -v
    lppchk: The following filesets need to be installed or corrected to bring
    the system to a consistent state:

    bos.rte.streams 7.2.3.15 (usr: not installed, root: COMMITTED)
    bos.rte.streams 7.2.4.0 (usr: not installed, root: COMMITTED)
    devices.capi.1410f0041410f004.diag 7.2.3.15 (usr: not installed, root: COMMITTED)
    devices.capi.1410f0041410f004.diag 7.2.4.0 (usr: not installed, root: COMMITTED)
    devices.common.IBM.hdlc.rte 7.2.5.0 (usr: not installed, root: COMMITTED)
    devices.common.IBM.mpt2.diag 7.2.5.0 (usr: not installed, root: COMMITTED)
    devices.pci.00100f00.rte 7.2.4.0 (usr: not installed, root: COMMITTED)
    devices.usbif.080400.rte 7.2.3.15 (usr: not installed, root: COMMITTED)
    devices.usbif.080400.rte 7.2.4.0 (usr: not installed, root: COMMITTED)


    >> My guess is that I am missing these from my AIX 7.3 NIM spot  and / or something that has been deprecated (and be removed prior to the migration..) , does anyone have exact info about these packages, how those should be treated?

    Br,
    tommi

    ------------------------------
    Tommi Sihvo, Lead Service Architect
    TietoEVRY, Compute Services
    email tommi.sihvo@tietoevry.com mobile +358 (0)40 5180 Finland
    ------------------------------



  • 4.  RE: aix 7.3 dnf script